org.eclipse.eef.ide.ui.properties.internal

## Class RefreshIdsHolder

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.eef.ide.ui.properties.internal.RefreshIdsHolder

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public final class RefreshIdsHolder
    extends org.eclipse.emf.common.notify.impl.AdapterImpl

This class is responsible for providing an ID used during the refresh to match candidates and existing elements. We used to use EcoreUtil.getURI() but it was not performing well enough and could change when an attribute used as an eKeys was changed. The ID is associated with the element through the eAdapters mechanism and as such is stable as long as the element is there. This class is roughly based on RefreshIdsHolder in the Eclipse Sirius codebase.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`org.eclipse.emf.common.notify.Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Integer` `getOrCreateID(org.eclipse.emf.ecore.EObject eObject)` Return the element Id if there is one, create a new one if it's not already here.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, isAdapterForType, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOrCreateID

    public static java.lang.Integer getOrCreateID(org.eclipse.emf.ecore.EObject eObject)

Return the element Id if there is one, create a new one if it's not already here.

Parameters:
  `eObject` - any EObject.
Returns:
  the existing Id or the new one.